/**************************************************************************
* lcd.h                      drzasiek,  stycze 2011
*                            drzasiek90@wp.pl
*                            www.drzasiek.strefa.pl
**************************************************************************/

#ifndef LCD_LM15_H
#define LCD_LM15_H
//Definicje portw LCD
//**************************
#define LCD_PORT        PORTC
#define LCD_DDR         DDRC
#define LCD_SDATA 	    (1<<PC4)
#define LCD_SCLK 	    (1<<PC3)
#define LCD_RS          (1<<PC2)
#define LCD_RESET       (1<<PC1)
#define LCD_CS 	        (1<<PC0)
//**************************

//Definicje Stanw portw
//**************************
#define LCD_RS_ON       LCD_PORT |=LCD_RS
#define LCD_RS_OFF      LCD_PORT &=~LCD_RS
#define LCD_CS_OFF      LCD_PORT |=LCD_CS
#define LCD_CS_ON       LCD_PORT &=~LCD_CS
#define LCD_RESET_ON    LCD_PORT &=~LCD_RESET
#define LCD_RESET_OFF   LCD_PORT |=LCD_RESET
//*************************** 


//Definicje kolorw
//***************************
#define WHITE 0xFFF
#define BLACK 0x000
#define RED 0xF00
#define GREEN 0x0F0
#define BLUE 0x00F
#define CYAN 0x0FF
#define MAGENTA 0xF0F
#define YELLOW 0xFF0
#define BROWN 0xB22
#define ORANGE 0xFA0
#define PINK 0xF9E
//***************************

//Prototypy funkcji
   void init_lcd(void);
   void cursor_lcd(unsigned char row, unsigned char col);
   void clear_lcd(unsigned int col);
   void contrast_lcd(unsigned char contrast);
   void window_lcd(unsigned char xstart, unsigned char ystart, unsigned char xend, unsigned char yend);
   void pixel_lcd(unsigned char x, unsigned char y,unsigned int color);
   void send_lcd(unsigned char dat);
   void line_lcd(unsigned char x1,unsigned char x2, unsigned char y1, unsigned char y2, unsigned int color);
   void area_lcd(unsigned char x1,unsigned char x2, unsigned char y1, unsigned char y2, unsigned int color);
   void frame_lcd(unsigned char x,unsigned char y, unsigned char height, unsigned char width, unsigned char size, unsigned int color);
   void chr_lcd( char chr, unsigned char x, unsigned char y, unsigned int size, unsigned int color_font, unsigned int color);
   void str_lcd(char *str, unsigned char x, unsigned char y, unsigned int size, unsigned int color_font,unsigned int color);
   

#endif
